# $Revision: 1.15 $, $Date: 2007/07/19 19:14:18 $
Summary:	A tool for converting text files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików tekstowych do różnych formatów
Name:		asciidoc
Version:	7.1.2
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://www.methods.co.nz/asciidoc/%{name}-%{version}.tar.gz
# Source0-md5:	554af81fb0e578a77ede4359ef79db69
URL:		http://www.methods.co.nz/asciidoc/index.html
BuildRequires:	sed >= 4.0
Requires:	python >= 2.3
Requires:	python-modules >= 2.3
Requires:	xmlto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/asciidoc

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML (with or without stylesheets), DocBook and LinuxDoc markup
using the asciidoc(1) command. AsciiDoc is highly configurable: both
the AsciiDoc source file syntax and the backend output markups (which
can be almost any type of SGML/XML markup) can be customized and
extended by the user.

%description -l pl.UTF-8
AsciiDoc jest formatem dokumentów tekstowych do pisania krótkich
dokumentów, artykułów, książek i podręczników systemu UNIX. Pliki
AsciiDoc mogą być tłumaczone do HTML-a (z lub bez CSS), DocBooka i
LinuxDoca używając polecenia asciidoc(1). AsciiDoc jest wysoce
konfigurowalny: zarówno składnia plików źródłowych, jak i znaczniki
backendów (które mogą być dowolnego typu SGML/XML) mogą być
dostosowywane i rozszerzane przez użytkownika.

%prep
%setup -q

%build
sed -i -e '1s|^#!/usr/bin/env python|#!/usr/bin/python|' asciidoc.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}}
install -d $RPM_BUILD_ROOT%{_datadir}/asciidoc/{docbook-xsl,javascripts,filters,stylesheets}
install -d $RPM_BUILD_ROOT%{_datadir}/asciidoc/images/icons/callouts

install *.conf $RPM_BUILD_ROOT%{_sysconfdir}
install asciidoc.py $RPM_BUILD_ROOT%{_datadir}/%{name}
for i in docbook-xsl filters images javascripts stylesheets
do
	find $i -type f -exec install {} $RPM_BUILD_ROOT%{_datadir}/%{name}/{} \;;
done
install doc/asciidoc.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf %{_datadir}/asciidoc/asciidoc.py $RPM_BUILD_ROOT%{_bindir}/asciidoc
ln -sf %{_datadir}/%{name}/stylesheets $RPM_BUILD_ROOT%{_sysconfdir}/stylesheets

rm -rf examples/website

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG README doc/asciidoc.html examples
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/asciidoc.py
%{_datadir}/%{name}/docbook-xsl
%{_datadir}/%{name}/filters
%{_datadir}/%{name}/images
%{_datadir}/%{name}/javascripts
%{_datadir}/%{name}/stylesheets
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asciidoc.spec,v $
Revision 1.15  2007/07/19 19:14:18  witekfl
- run sed only on the first line

Revision 1.14  2007/07/18 19:00:41  witekfl
- s|/#!/usr/bin/env python|#!/usr/bin/python|
- rel 3

Revision 1.13  2007/02/14 09:18:00  arekm
- drop examples; too many symlinks pointing to nowhere

Revision 1.12  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.10  2006/07/17 18:00:01  witekfl
- up to 7.1.2
- more files
- more docs

Revision 1.9  2006/07/17 17:22:47  witekfl
- libxslt-progs is already required by xmlto

Revision 1.8  2006/07/16 17:04:27  witekfl
- added R:libxslt-progs and xmlto
- added stylesheets to the package
- Rel 2

Revision 1.7  2005/06/18 11:03:40  charles
- restored lost changelog entry

Revision 1.6  2005/06/18 10:55:27  charles
- oops... reverted last change

Revision 1.5  2005/06/18 10:49:22  charles
- s/Requires/pyrequires_eq/

Revision 1.4  2005/06/16 15:01:35  charles
- updated to 7.0.0
- R: python-modules

Revision 1.3  2005/05/30 19:39:25  qboosh
- deduped files

Revision 1.2  2005/05/30 19:26:23  qboosh
- formatting, use config(noreplace) verify()

Revision 1.1  2005/05/29 21:03:27  witekfl
- initial PLD release
